Subject: [MMUSIC] Notification for draft-salgueiro-mmusic-image-iana-registration-00

From: Gonzalo Salgueiro <[email-masked]>
Date: Tue, 26 Apr 2011 14:28:29 -0400

Folks,

In reference to some discussion we had on the list recently, I wanted to bring your attention to an Internet Draft I submitted that registers 'image' in the newly created SDP media type registry. For some reason (unbeknownst to me) this was omitted in RFC 4566 when the other media types were registered. This draft aims to rectify that oversight. 

The draft can be found at:

http://tools.ietf.org/html/draft-salgueiro-mmusic-image-iana-registration-00

I would welcome any comments on the draft.

Warm Regards,

Gonzalo

---

From: "Kevin P. Fleming" <[email-masked]>
Date: Tue, 26 Apr 2011 13:49:21 -0500

On 04/26/2011 01:28 PM, Gonzalo Salgueiro wrote:
> Folks,
>
> In reference to some discussion we had on the list recently, I wanted to
> bring your attention to an Internet Draft I submitted that registers
> 'image' in the newly created SDP media type registry. For some reason
> (unbeknownst to me) this was omitted in RFC 4566 when the other media
> types were registered. This draft aims to rectify that oversight.
>

My only comments is 'nice work' :-)

-- 
Kevin P. Fleming
Digium, Inc. | Director of Software Technologies
Jabber: [email-masked] | SIP: [email-masked] | Skype: kpfleming
445 Jan Davis Drive NW - Huntsville, AL 35806 - USA
Check us out at www.digium.com & www.asterisk.org

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Wed, 27 Apr 2011 15:57:11 +0200

Section 3

   This document registers with IANA the 'image' media type in the
   Session Description Protocol (SDP) Parameters registry [SDP-IANA] in
   accordance with the "Standards Action" policy defined in Section 4.1
   of [RFC5226].

>From the perspective of brevity, I do not believe the reference to RFC 5226 is necessary. IANA will apply the policy stated in the table, which now exists, rather than anything that is said in this RFC. I also do not believe you need the [SDP-IANA] reference. If you put the full stop after "registry" you have clearly identified the table to IANA.

   This document registers with IANA the 'image' media type in the
   Session Description Protocol (SDP) Parameters registry.

References

RFC 2119 is never used as a reference. Delete.

Otherwise the document looks good to me.

Regards

Keith

________________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of Gonzalo Salgueiro
Sent: 26 April 2011 19:28
To: mmusic
Cc: Flemming Andreasen
Subject: [MMUSIC] Notification for draft-salgueiro-mmusic-image-iana-registration-00

Folks,

Warm Regards,

Gonzalo

---

From: Gonzalo Salgueiro <[email-masked]>
Date: Wed, 27 Apr 2011 12:50:36 -0400

Many thanks for the feedback Keith.

If we think there is value in making things a bit more brief by removing the references to RFC 5226 and the SDP media type registry, then I can certainly accommodate that.

FYI - The reference to RFC 2119 is in Section 1.

Warm Regards,

Gonzalo

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Thu, 28 Apr 2011 12:06:05 +0200

But then there is no RFC 2119 language used in the document, except for extracted text (with associated references) from other documents, where the conventions in those other documents have to apply, rather than the ones in this document.

Check with the RFC editor on the need for the 2119 boilerplate when no such usage is made.

Regards

Keith

________________________________
From: Gonzalo Salgueiro [mailto:[email-masked]]
Sent: 27 April 2011 17:51
To: DRAGE, Keith (Keith)
Cc: mmusic; Flemming Andreasen
Subject: Re: [MMUSIC] Notification for draft-salgueiro-mmusic-image-iana-registration-00

Warm Regards,

Gonzalo

Section 3

References

Regards

Keith

________________________________________
From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Gonzalo Salgueiro
Sent: 26 April 2011 19:28
To: mmusic
Cc: Flemming Andreasen
Subject: [MMUSIC] Notification for draft-salgueiro-mmusic-image-iana-registration-00

Folks,

Warm Regards,

Gonzalo

---

From: Gonzalo Salgueiro <[email-masked]>
Date: Thu, 28 Apr 2011 13:34:18 -0400

Good point Keith. I prematurely figured that if 2119 language appeared ANYWHERE in the text, then the reference to it should be there. As you rightly point out, if it is in quoted text, there is likely no need for it. I'll verify and address this as appropriate.

Warm regards,

Gonzalo

---

From: Gonzalo Salgueiro <[email-masked]>
Date: Sat, 30 Apr 2011 14:07:53 -0400

I've submitted an -01 version that addresses all the comments raised thus far as well as  a few additional nits.

Feedback welcome.

Warm Regards,

Gonzalo